Bug 818051 - PRD34 - [RFE] Webadmin's layout is broken when not enough display real-estate [main-tab clutter, sub-tab clutter, buttons-panel clutter]
Summary: PRD34 - [RFE] Webadmin's layout is broken when not enough display real-estate...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4.0
Assignee: Alexander Wels
QA Contact: Pavel Stehlik
URL:
Whiteboard: ux
: 755550 810275 874081 910851 974373 987093 996575 999712 1010113 1020146 1022699 1033814 (view as bug list)
Depends On:
Blocks: 1025447
TreeView+ depends on / blocked
 
Reported: 2012-05-02 05:43 UTC by Tomas Dosek
Modified: 2019-04-28 09:36 UTC (History)
21 users (show)

Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Enhancement
Doc Text:
This feature adds support for viewing the Administration Portal using lower-resolution displays by using scrolling and cascading toolbars.
Clone Of:
Environment:
Last Closed: 2014-06-09 14:57:55 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
webadmin screenshot (184.96 KB, image/jpeg)
2012-05-02 05:43 UTC, Tomas Dosek
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 755550 1 None None None 2021-01-20 06:05:38 UTC
Red Hat Bugzilla 832258 0 unspecified CLOSED Webadmin's layout is broken when not enough display real-estate [main-tab clutter, sub-tab clutter, buttons-panel clutte... 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 871420 0 low CLOSED [RFE][Tracker][TestOnly] - WebAdmin should display correctly on low resolutions. 2021-02-22 00:41:40 UTC
Red Hat Knowledge Base (Solution) 465243 0 None None None Never
Red Hat Product Errata RHSA-2014:0506 0 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 21716 0 None None None Never

Internal Links: 755550 832258 871420

Description Tomas Dosek 2012-05-02 05:43:55 UTC
Created attachment 581523 [details]
webadmin screenshot

Description of problem:
See attached file.
At this resolution some elements are shifted in a way it prevents other functionality to be used.

Version-Release number of selected component (if applicable):
si2.1

How reproducible:
100 %

Steps to Reproduce:
1.Have a screen resolution 1024 by 768 - enter webadmin
2.
3.
  
Actual results:
At this resolution some elements are shifted in a way it prevents other functionality to be used.


Expected results:
everything should be accessible and useable

Additional info:
attaching screenshot of the problem

Comment 2 Yaniv Kaul 2012-05-10 06:11:27 UTC
Two reasons why we should care (as virtually all desktops today have higher resolution than that)
1. Tablets - but then we need some more fixes for touch. (right click on an item should be workable via a long press, etc.)
2. When viewing the portal in a VM - which by itself is windowed. Not the most pressing issue, now that we moved from WPF.

Comment 3 Itamar Heim 2012-05-10 06:46:06 UTC
I think the most pressing concern is projectors are mostly still 1024x768, causing a problem demoing the ui

Comment 6 Itamar Heim 2012-11-07 13:44:13 UTC
*** Bug 874081 has been marked as a duplicate of this bug. ***

Comment 7 Itamar Heim 2012-12-25 11:53:02 UTC
*** Bug 810275 has been marked as a duplicate of this bug. ***

Comment 8 Einav Cohen 2013-02-14 13:48:38 UTC
*** Bug 910851 has been marked as a duplicate of this bug. ***

Comment 9 Jiri Belka 2013-02-18 14:05:39 UTC
FYI - Windows 2012 uses 1024x768 by default when I installed on RHEVM 3.2. The layout is completely broken - tab hide individual action in action bar etc.

Comment 10 Vojtech Szocs 2013-02-18 17:47:05 UTC
Besides adding scroll buttons to main tab panel, we can also consider:
- allow sliding left-hand panel (Tree/Bookmarks/Tags) to the left to save some space, demo: http://jsfiddle.net/WaX6n/
- detect low resolution and start with left-hand panel slided to the left by default

Comment 12 Itamar Heim 2013-06-15 15:33:18 UTC
*** Bug 974373 has been marked as a duplicate of this bug. ***

Comment 15 Itamar Heim 2013-07-22 19:13:07 UTC
*** Bug 987093 has been marked as a duplicate of this bug. ***

Comment 16 Itamar Heim 2013-08-13 14:54:29 UTC
*** Bug 996575 has been marked as a duplicate of this bug. ***

Comment 17 Itamar Heim 2013-08-22 01:39:55 UTC
*** Bug 999712 has been marked as a duplicate of this bug. ***

Comment 19 Einav Cohen 2013-09-20 17:02:11 UTC
when solving this BZ, need to keep in mind buttons-panel clutter as well -> adjusting BZ title accordingly.

Comment 20 Einav Cohen 2013-09-20 17:04:03 UTC
*** Bug 1010113 has been marked as a duplicate of this bug. ***

Comment 21 Einav Cohen 2013-10-18 13:52:01 UTC
*** Bug 1020146 has been marked as a duplicate of this bug. ***

Comment 22 Einav Cohen 2013-10-24 12:26:49 UTC
*** Bug 1022699 has been marked as a duplicate of this bug. ***

Comment 23 Einav Cohen 2013-11-25 21:37:14 UTC
*** Bug 1033814 has been marked as a duplicate of this bug. ***

Comment 24 Stephen Gordon 2013-11-25 21:40:31 UTC
Note that as a result of the number of additional functions added to these areas in recent releases this issue is now prevalent at resolutions higher than 1024 x 768. I encountered wrapping on RHEV 3.3 Beta at 1366x768.

Comment 25 Einav Cohen 2014-01-03 14:19:14 UTC
*** Bug 755550 has been marked as a duplicate of this bug. ***

Comment 26 Einav Cohen 2014-01-03 15:55:04 UTC
for qa: need to test the following scenarios:

- low resolutions (e.g. 1024x768)
- non-maximized window size
- left-pane width is significantly extended [bug 755550] -> main-tabs view width is significantly narrowed down

need to verify that:

(1) when main tab panel doesn't have enough real-estate to be fully displayed: 
  * left/right navigation arrows appear in the main tab panel and behave correctly. 
  * tabs-navigation-drop-down-button appears in the main tab panel and behaves correctly
[behavior should be similar to the behavior of Firefox browser when there are a lot of opened tabs in it]
make sure to test interesting scenarios, which include a lot of main-tabs that are displayed: 
  * 'System' left-pane-tree-node selected
  * a specific Data-Center left-pane-tree-node is selected
  * RHEV Reports is installed (i.e. Dashboard main tab is displayed)
  * RHEV ui-plugin(s) that are adding main tab(s) are installed.
  * etc.

(2) when any sub-tab panel doesn't have enough real estate to be fully displayed: behavior should be similar to the one described in (1) above. Make sure to test a case of many sub-tabs using the ui-plugins mechanism. 

(3) when any action-button-panel (either in main tab or in sub-tab) doesn't have enough real estate to be fully displayed: an action-navigation-drop-down button appears and behaves correctly. 
Make sure to test interesting scenarios: Tabs with many built-in buttons (e.g. VMs main tab), tab with a lot of actions added via the ui plugins infrastructure, etc. 
** (3) is relevant for the power user portal as well **

all other things (e.g. dialogs, etc.) were not treated in the context of this BZ and should not be tested. 
Please look for existing BZs (e.g. bug 871420 for dialogs) or open new BZs for other issues.

Comment 27 Alexander Wels 2014-01-07 19:43:57 UTC
Wiki page explaining the feature is available here [1]

[1] http://www.ovirt.org/Features/Design/LowerResolutionSupport

Comment 28 Vojtech Szocs 2014-01-09 16:12:43 UTC
Upstream master patch http://gerrit.ovirt.org/21716 merged.

Comment 29 Sandro Bonazzola 2014-01-14 08:43:29 UTC
ovirt 3.4.0 alpha has been released

Comment 34 errata-xmlrpc 2014-06-09 14:57:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.